For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Sign inBook a demo
HomeGuidesAPI ReferenceGlossary
HomeGuidesAPI ReferenceGlossary
  • API Reference
      • GETFind
Logo
Sign inBook a demo
API ReferencePayment Methods

Find

GET
https://api.mercoa.com/paymentMethods
GET
/paymentMethods
$curl -G https://api.mercoa.com/paymentMethods \
> -H "Authorization: Bearer <token>" \
> -d type=bankAccount
1{
2 "count": 1,
3 "hasMore": false,
4 "data": [
5 {
6 "paymentMethod": {
7 "type": "bankAccount",
8 "accountName": "My Checking Account",
9 "accountNumber": "99988767623",
10 "accountType": "CHECKING",
11 "bankName": "Chase",
12 "createdAt": "2021-01-01T00:00:00Z",
13 "frozen": false,
14 "id": "pm_4794d597-70dc-4fec-b6ec-c5988e759769",
15 "isDefaultDestination": true,
16 "isDefaultSource": true,
17 "metadata": {},
18 "routingNumber": "12345678",
19 "status": "VERIFIED",
20 "supportedCurrencies": [
21 "USD"
22 ],
23 "updatedAt": "2021-01-01T00:00:00Z",
24 "confirmedByEntity": true
25 },
26 "entity": {
27 "id": "ent_8545a84e-a45f-41bf-bdf1-33b42a55812c",
28 "name": "Acme Inc.",
29 "email": "customer@acme.com",
30 "isCustomer": true,
31 "accountType": "business",
32 "profile": {
33 "business": {
34 "legalBusinessName": "Acme Inc.",
35 "taxIDProvided": true,
36 "email": "customer@acme.com",
37 "businessType": "llc",
38 "phone": {
39 "countryCode": "1",
40 "number": "4155551234"
41 },
42 "address": {
43 "addressLine1": "123 Main St",
44 "city": "San Francisco",
45 "stateOrProvince": "CA",
46 "postalCode": "94105",
47 "addressLine2": "Unit 1",
48 "country": "US"
49 },
50 "ownersProvided": true,
51 "taxId": {
52 "ein": {
53 "number": "12-3456789"
54 }
55 }
56 }
57 },
58 "status": "verified",
59 "acceptedTos": true,
60 "isPayor": true,
61 "isPayee": false,
62 "isNetworkPayor": false,
63 "isNetworkPayee": false,
64 "createdAt": "2024-01-01T00:00:00Z",
65 "updatedAt": "2024-01-02T00:00:00Z",
66 "foreignId": "MY-DB-ID-12345"
67 }
68 }
69 ]
70}
Was this page helpful?
Previous

Search transactions

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

limitintegerOptional
Number of payment methods to return. Limit can range between 1 and 100, and the default is 10.
startingAfterstringOptional
The ID of the payment method to start after. If not provided, the first page of payment methods will be returned.
typeenumOptional
Type of payment method to filter
entityIdstringOptional
Entity ID to filter

Response

This endpoint returns an object.
countinteger
hasMoreboolean
datalist of objects

Errors

400
Bad Request
401
Unauthorized
403
Forbidden
404
Not Found
409
Conflict
500
Internal Server Error
501
Unimplemented